package at.ac.uibk.gitsearch.service.dto;

import java.util.stream.Collectors;

import org.springframework.security.oauth2.client.registration.ClientRegistration;

/**
 * transfers infos of an OAuth2Config to client
 * @author Michael Breu
 *
 */
public class OAuth2ConfigDTO {
	

	private String registrationId;
	private String clientURL;
	private String scopes;
	private String iconURL;
	
	public String getRegistrationId() {
		return registrationId;
	}
	public String getClientURL() {
		return clientURL;
	}
	public String getScopes() {
		return scopes;
	}
	public String getIconURL() {
		return iconURL;
	}
	
	public OAuth2ConfigDTO(ClientRegistration registration, String iconURL) {
		clientURL = registration.getRedirectUriTemplate();
		registrationId = registration.getRegistrationId();
		scopes = registration.getScopes().stream().collect(Collectors.joining( "," ));
		this.iconURL = iconURL;
	}
	
	@Override
	public String toString() {
		return "OAuth2ConfigDTO [for '" + registrationId + "']";
	}
}
